import {
	ICredentialType,
	INodeProperties,
} from 'n8n-workflow';


export class DriftOAuth2Api implements ICredentialType {
	name = 'driftOAuth2Api';
	extends = [
		'oAuth2Api',
	];
	displayName = 'Drift OAuth2 API';
	documentationUrl = 'drift';
	properties: INodeProperties[] = [
		{
			displayName: 'Authorization URL',
			name: 'authUrl',
			type: 'hidden',
			default: 'https://dev.drift.com/authorize',
			required: true,
		},
		{
			displayName: 'Access Token URL',
			name: 'accessTokenUrl',
			type: 'hidden',
			default: 'https://driftapi.com/oauth2/token',
			required: true,
		},
		{
			displayName: 'Auth URI Query Parameters',
			name: 'authQueryParameters',
			type: 'hidden',
			default: '',
		},
		{
			displayName: 'Scope',
			name: 'scope',
			type: 'hidden',
			default: '',
		},
		{
			displayName: 'Authentication',
			name: 'authentication',
			type: 'hidden',
			default: 'body',
		},
	];
}
