import {
	ICredentialType,
	INodeProperties,
} from 'n8n-workflow';

export class NotionOAuth2Api implements ICredentialType {
	name = 'notionOAuth2Api';
	extends = [
		'oAuth2Api',
	];
	displayName = 'Notion OAuth2 API';
	documentationUrl = 'notion';
	properties: INodeProperties[] = [
		{
			displayName: 'Authorization URL',
			name: 'authUrl',
			type: 'hidden',
			default: 'https://api.notion.com/v1/oauth/authorize',
			required: true,
		},
		{
			displayName: 'Access Token URL',
			name: 'accessTokenUrl',
			type: 'hidden',
			default: 'https://api.notion.com/v1/oauth/token',
			required: true,
		},
		{
			displayName: 'Scope',
			name: 'scope',
			type: 'hidden',
			default: '',
		},
		{
			displayName: 'Auth URI Query Parameters',
			name: 'authQueryParameters',
			type: 'hidden',
			default: '',
		},
		{
			displayName: 'Authentication',
			name: 'authentication',
			type: 'hidden',
			default: 'header',
		},
	];
}
