import {
	ICredentialType,
	INodeProperties,
} from 'n8n-workflow';

export class ZoomOAuth2Api implements ICredentialType {
	name = 'zoomOAuth2Api';
	extends = ['oAuth2Api'];
	displayName = 'Zoom OAuth2 API';
	documentationUrl = 'zoom';
	properties: INodeProperties[] = [
		{
			displayName: 'Authorization URL',
			name: 'authUrl',
			type: 'hidden',
			default: 'https://zoom.us/oauth/authorize',
		},
		{
			displayName: 'Access Token URL',
			name: 'accessTokenUrl',
			type: 'hidden',
			default: 'https://zoom.us/oauth/token',
		},
		{
			displayName: 'Scope',
			name: 'scope',
			type: 'hidden',
			default: '',
		},
		{
			displayName: 'Auth URI Query Parameters',
			name: 'authQueryParameters',
			type: 'hidden',
			default: '',
		},
		{
			displayName: 'Authentication',
			name: 'authentication',
			type: 'hidden',
			default: 'header',
		},
	];
}
